al_update_display_region(3)

NAME

al_update_display_region - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    void al_update_display_region(int x, int y, int width, int height)

DESCRIPTION

Does the same as al_flip_display(3), but tries to update only the specified region. With many drivers this is not possible, but for some it can improve performance. If this is not supported, this function falls back to the behavior of al_flip_display(3). You can query the support for this function using al_get_display_option(display, ALLEGRO_UPDATE_DISPLAY_REGION).

SEE ALSO

al_flip_display(3), al_get_display_option(3)